### Method

# GimpUi GradientSelectButton get_gradient

since: 2.4

#### Declaration [src]

    const gchar*
    gimp_gradient_select_button_get_gradient (
      GimpGradientSelectButton* button
    )

#### Description [src]

Retrieves the name of currently selected gradient.

Available since: 2.4

#### Return value

Type: `const gchar*`

An internal copy of the gradient name which must not be freed.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.